//
//  OV534Driver.h
//  macam
//
//  Created by Harald on 1/10/08.
//  Copyright 2008 hxr. All rights reserved.
//


#import "GenericDriver.h"


@interface OV534Driver : GenericDriver 

- (void) setGain:(float)v;
- (BOOL) canSetGain;

- (void) setShutter:(float)v;
- (BOOL) canSetShutter;

- (void) setHue:(float)v;
- (BOOL) canSetHue;

- (BOOL) canSetFlicker;
- (void) setFlicker:(FlickerType)fType;

- (short) findFrameRateForResolution:(CameraResolution)res;
- (void) setResolution:(CameraResolution)r fps:(short)fr;
- (void) startupCamera;

// Gain and shutter combined
- (BOOL) canSetAutoGain;
- (void) setAutoGain:(BOOL) v;
- (BOOL) isUVC;


+ (NSArray *) cameraUsbDescriptions;
- (id) initWithCentral:(id)c;

@end


@interface OV538Driver : OV534Driver 

+ (NSArray *) cameraUsbDescriptions;

@end

